/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: bullet.h,v $
 * $Revision: 1.12 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

namespace com { namespace sun { namespace star { namespace i18n {

static sal_Unicode table_AIUFullWidth_ja_JP[] = {
    0x30A2,	// KATAKANA LETTER A
    0x30A4,	// KATAKANA LETTER I
    0x30A6,	// KATAKANA LETTER U
    0x30A8,	// KATAKANA LETTER E
    0x30AA,	// KATAKANA LETTER O
    0x30AB,	// KATAKANA LETTER KA
    0x30AD,	// KATAKANA LETTER KI
    0x30AF,	// KATAKANA LETTER KU
    0x30B1,	// KATAKANA LETTER KE
    0x30B3,	// KATAKANA LETTER KO
    0x30B5,	// KATAKANA LETTER SA
    0x30B7,	// KATAKANA LETTER SI
    0x30B9,	// KATAKANA LETTER SU
    0x30BB,	// KATAKANA LETTER SE
    0x30BD,	// KATAKANA LETTER SO
    0x30BF,	// KATAKANA LETTER TA
    0x30C1,	// KATAKANA LETTER TI
    0x30C4,	// KATAKANA LETTER TU
    0x30C6,	// KATAKANA LETTER TE
    0x30C8,	// KATAKANA LETTER TO
    0x30CA,	// KATAKANA LETTER NA
    0x30CB,	// KATAKANA LETTER NI
    0x30CC,	// KATAKANA LETTER NU
    0x30CD,	// KATAKANA LETTER NE
    0x30CE,	// KATAKANA LETTER NO
    0x30CF,	// KATAKANA LETTER HA
    0x30D2,	// KATAKANA LETTER HI
    0x30D5,	// KATAKANA LETTER HU
    0x30D8,	// KATAKANA LETTER HE
    0x30DB,	// KATAKANA LETTER HO
    0x30DE,	// KATAKANA LETTER MA
    0x30DF,	// KATAKANA LETTER MI
    0x30E0,	// KATAKANA LETTER MU
    0x30E1,	// KATAKANA LETTER ME
    0x30E2,	// KATAKANA LETTER MO
    0x30E4,	// KATAKANA LETTER YA
    0x30E6,	// KATAKANA LETTER YU
    0x30E8,	// KATAKANA LETTER YO
    0x30E9,	// KATAKANA LETTER RA
    0x30EA,	// KATAKANA LETTER RI
    0x30EB,	// KATAKANA LETTER RU
    0x30EC,	// KATAKANA LETTER RE
    0x30ED,	// KATAKANA LETTER RO
    0x30EF,	// KATAKANA LETTER WA
    0x30F2,	// KATAKANA LETTER WO
    0x30F3	// KATAKANA LETTER N
};

static sal_Unicode table_AIUHalfWidth_ja_JP[] = {
    0xFF71,	// HALFWIDTH KATAKANA LETTER A
    0xFF72,	// HALFWIDTH KATAKANA LETTER I
    0xFF73,	// HALFWIDTH KATAKANA LETTER U
    0xFF74,	// HALFWIDTH KATAKANA LETTER E
    0xFF75,	// HALFWIDTH KATAKANA LETTER O
    0xFF76,	// HALFWIDTH KATAKANA LETTER KA
    0xFF77,	// HALFWIDTH KATAKANA LETTER KI
    0xFF78,	// HALFWIDTH KATAKANA LETTER KU
    0xFF79,	// HALFWIDTH KATAKANA LETTER KE
    0xFF7A,	// HALFWIDTH KATAKANA LETTER KO
    0xFF7B,	// HALFWIDTH KATAKANA LETTER SA
    0xFF7C,	// HALFWIDTH KATAKANA LETTER SI
    0xFF7D,	// HALFWIDTH KATAKANA LETTER SU
    0xFF7E,	// HALFWIDTH KATAKANA LETTER SE
    0xFF7F,	// HALFWIDTH KATAKANA LETTER SO
    0xFF80,	// HALFWIDTH KATAKANA LETTER TA
    0xFF81,	// HALFWIDTH KATAKANA LETTER TI
    0xFF82,	// HALFWIDTH KATAKANA LETTER TU
    0xFF83,	// HALFWIDTH KATAKANA LETTER TE
    0xFF84,	// HALFWIDTH KATAKANA LETTER TO
    0xFF85,	// HALFWIDTH KATAKANA LETTER NA
    0xFF86,	// HALFWIDTH KATAKANA LETTER NI
    0xFF87,	// HALFWIDTH KATAKANA LETTER NU
    0xFF88,	// HALFWIDTH KATAKANA LETTER NE
    0xFF89,	// HALFWIDTH KATAKANA LETTER NO
    0xFF8A,	// HALFWIDTH KATAKANA LETTER HA
    0xFF8B,	// HALFWIDTH KATAKANA LETTER HI
    0xFF8C,	// HALFWIDTH KATAKANA LETTER HU
    0xFF8D,	// HALFWIDTH KATAKANA LETTER HE
    0xFF8E,	// HALFWIDTH KATAKANA LETTER HO
    0xFF8F,	// HALFWIDTH KATAKANA LETTER MA
    0xFF90,	// HALFWIDTH KATAKANA LETTER MI
    0xFF91,	// HALFWIDTH KATAKANA LETTER MU
    0xFF92,	// HALFWIDTH KATAKANA LETTER ME
    0xFF93,	// HALFWIDTH KATAKANA LETTER MO
    0xFF94,	// HALFWIDTH KATAKANA LETTER YA
    0xFF95,	// HALFWIDTH KATAKANA LETTER YU
    0xFF96,	// HALFWIDTH KATAKANA LETTER YO
    0xFF97,	// HALFWIDTH KATAKANA LETTER RA
    0xFF98,	// HALFWIDTH KATAKANA LETTER RI
    0xFF99,	// HALFWIDTH KATAKANA LETTER RU
    0xFF9A,	// HALFWIDTH KATAKANA LETTER RE
    0xFF9B,	// HALFWIDTH KATAKANA LETTER RO
    0xFF9C,	// HALFWIDTH KATAKANA LETTER WA
    0xFF66,	// HALFWIDTH KATAKANA LETTER WO
    0xFF9D	// HALFWIDTH KATAKANA LETTER N
};

static sal_Unicode table_IROHAFullWidth_ja_JP[] = {
    0x30A4,	// KATAKANA LETTER I
    0x30ED,	// KATAKANA LETTER RO
    0x30CF,	// KATAKANA LETTER HA
    0x30CB,	// KATAKANA LETTER NI
    0x30DB,	// KATAKANA LETTER HO
    0x30D8,	// KATAKANA LETTER HE
    0x30C8,	// KATAKANA LETTER TO
    0x30C1,	// KATAKANA LETTER TI
    0x30EA,	// KATAKANA LETTER RI
    0x30CC,	// KATAKANA LETTER NU
    0x30EB,	// KATAKANA LETTER RU
    0x30F2,	// KATAKANA LETTER WO
    0x30EF,	// KATAKANA LETTER WA
    0x30AB,	// KATAKANA LETTER KA
    0x30E8,	// KATAKANA LETTER YO
    0x30BF,	// KATAKANA LETTER TA
    0x30EC,	// KATAKANA LETTER RE
    0x30BD,	// KATAKANA LETTER SO
    0x30C4,	// KATAKANA LETTER TU
    0x30CD,	// KATAKANA LETTER NE
    0x30CA,	// KATAKANA LETTER NA
    0x30E9,	// KATAKANA LETTER RA
    0x30E0,	// KATAKANA LETTER MU
    0x30A6,	// KATAKANA LETTER U
    0x30F0,	// KATAKANA LETTER WI
    0x30CE,	// KATAKANA LETTER NO
    0x30AA,	// KATAKANA LETTER O
    0x30AF,	// KATAKANA LETTER KU
    0x30E4,	// KATAKANA LETTER YA
    0x30DE,	// KATAKANA LETTER MA
    0x30B1,	// KATAKANA LETTER KE
    0x30D5,	// KATAKANA LETTER HU
    0x30B3,	// KATAKANA LETTER KO
    0x30A8,	// KATAKANA LETTER E
    0x30C6,	// KATAKANA LETTER TE
    0x30A2,	// KATAKANA LETTER A
    0x30B5,	// KATAKANA LETTER SA
    0x30AD,	// KATAKANA LETTER KI
    0x30E6,	// KATAKANA LETTER YU
    0x30E1,	// KATAKANA LETTER ME
    0x30DF,	// KATAKANA LETTER MI
    0x30B7,	// KATAKANA LETTER SI
    0x30F1,	// KATAKANA LETTER WE
    0x30D2,	// KATAKANA LETTER HI
    0x30E2,	// KATAKANA LETTER MO
    0x30BB,	// KATAKANA LETTER SE
    0x30B9,	// KATAKANA LETTER SU
    0x30F3	// KATAKANA LETTER N
};

static sal_Unicode table_IROHAHalfWidth_ja_JP[] = {
    0xFF72,	// HALFWIDTH KATAKANA LETTER I
    0xFF9B,	// HALFWIDTH KATAKANA LETTER RO
    0xFF8A,	// HALFWIDTH KATAKANA LETTER HA
    0xFF86,	// HALFWIDTH KATAKANA LETTER NI
    0xFF8E,	// HALFWIDTH KATAKANA LETTER HO
    0xFF8D,	// HALFWIDTH KATAKANA LETTER HE
    0xFF84,	// HALFWIDTH KATAKANA LETTER TO
    0xFF81,	// HALFWIDTH KATAKANA LETTER TI
    0xFF98,	// HALFWIDTH KATAKANA LETTER RI
    0xFF87,	// HALFWIDTH KATAKANA LETTER NU
    0xFF99,	// HALFWIDTH KATAKANA LETTER RU
    0xFF66,	// HALFWIDTH KATAKANA LETTER WO
    0xFF9C,	// HALFWIDTH KATAKANA LETTER WA
    0xFF76,	// HALFWIDTH KATAKANA LETTER KA
    0xFF96,	// HALFWIDTH KATAKANA LETTER YO
    0xFF80,	// HALFWIDTH KATAKANA LETTER TA
    0xFF9A,	// HALFWIDTH KATAKANA LETTER RE
    0xFF7F,	// HALFWIDTH KATAKANA LETTER SO
    0xFF82,	// HALFWIDTH KATAKANA LETTER TU
    0xFF88,	// HALFWIDTH KATAKANA LETTER NE
    0xFF85,	// HALFWIDTH KATAKANA LETTER NA
    0xFF97,	// HALFWIDTH KATAKANA LETTER RA
    0xFF91,	// HALFWIDTH KATAKANA LETTER MU
    0xFF73,	// HALFWIDTH KATAKANA LETTER U
    0x30F0,	// KATAKANA LETTER WI
    0xFF89,	// HALFWIDTH KATAKANA LETTER NO
    0xFF75,	// HALFWIDTH KATAKANA LETTER O
    0xFF78,	// HALFWIDTH KATAKANA LETTER KU
    0xFF94,	// HALFWIDTH KATAKANA LETTER YA
    0xFF8F,	// HALFWIDTH KATAKANA LETTER MA
    0xFF79,	// HALFWIDTH KATAKANA LETTER KE
    0xFF8C,	// HALFWIDTH KATAKANA LETTER HU
    0xFF7A,	// HALFWIDTH KATAKANA LETTER KO
    0xFF74,	// HALFWIDTH KATAKANA LETTER E
    0xFF83,	// HALFWIDTH KATAKANA LETTER TE
    0xFF71,	// HALFWIDTH KATAKANA LETTER A
    0xFF7B,	// HALFWIDTH KATAKANA LETTER SA
    0xFF77,	// HALFWIDTH KATAKANA LETTER KI
    0xFF95,	// HALFWIDTH KATAKANA LETTER YU
    0xFF92,	// HALFWIDTH KATAKANA LETTER ME
    0xFF90,	// HALFWIDTH KATAKANA LETTER MI
    0xFF7C,	// HALFWIDTH KATAKANA LETTER SI
    0x30F1,	// KATAKANA LETTER WE
    0xFF8B,	// HALFWIDTH KATAKANA LETTER HI
    0xFF93,	// HALFWIDTH KATAKANA LETTER MO
    0xFF7E,	// HALFWIDTH KATAKANA LETTER SE
    0xFF7D,	// HALFWIDTH KATAKANA LETTER SU
    0xFF9D	// HALFWIDTH KATAKANA LETTER N
};

static sal_Unicode table_CircledNumber[] = {
    0x2460,	// CIRCLED DIGIT ONE
    0x2461,	// CIRCLED DIGIT TWO
    0x2462,	// CIRCLED DIGIT THREE
    0x2463,	// CIRCLED DIGIT FOUR
    0x2464,	// CIRCLED DIGIT FIVE
    0x2465,	// CIRCLED DIGIT SIX
    0x2466,	// CIRCLED DIGIT SEVEN
    0x2467,	// CIRCLED DIGIT EIGHT
    0x2468,	// CIRCLED DIGIT NINE
    0x2469,	// CIRCLED NUMBER TEN
    0x246A,	// CIRCLED NUMBER ELEVEN
    0x246B,	// CIRCLED NUMBER TWELVE
    0x246C,	// CIRCLED NUMBER THIRTEEN
    0x246D,	// CIRCLED NUMBER FOURTEEN
    0x246E,	// CIRCLED NUMBER FIFTEEN
    0x246F,	// CIRCLED NUMBER SIXTEEN
    0x2470,	// CIRCLED NUMBER SEVENTEEN
    0x2471,	// CIRCLED NUMBER EIGHTEEN
    0x2472,	// CIRCLED NUMBER NINETEEN
    0x2473	// CIRCLED NUMBER TWENTY
};

static sal_Unicode table_HangulJamo_ko[] = {
        0x3131, // HANGUL LETTER KIYEOK
        0x3134, // HANGUL LETTER NIEUN
        0x3137, // HANGUL LETTER TIKEUT
        0x3139, // HANGUL LETTER RIEUL
        0x3141, // HANGUL LETTER MIEUM
        0x3142, // HANGUL LETTER PIEUP
        0x3145, // HANGUL LETTER SIOS
        0x3147, // HANGUL LETTER IEUNG
        0x3148, // HANGUL LETTER CIEUC
        0x314A, // HANGUL LETTER CHIEUCH
        0x314B, // HANGUL LETTER KHIEUKH
        0x314C, // HANGUL LETTER THIEUTH
        0x314D, // HANGUL LETTER PHIEUPH
        0x314E  // HANGUL LETTER HIEUH
};

static sal_Unicode table_HangulSyllable_ko[] = {
        0xAC00, // HANGUL SYLLABLE GA
        0xB098, // HANGUL SYLLABLE NA
        0xB2E4, // HANGUL SYLLABLE DA
        0xB77C, // HANGUL SYLLABLE LA
        0xB9C8, // HANGUL SYLLABLE MA
        0xBC14, // HANGUL SYLLABLE BA
        0xC0AC, // HANGUL SYLLABLE SA
        0xC544, // HANGUL SYLLABLE A
        0xC790, // HANGUL SYLLABLE JA
        0xCC28, // HANGUL SYLLABLE CA
        0xCE74, // HANGUL SYLLABLE KA
        0xD0C0, // HANGUL SYLLABLE TA
        0xD30C, // HANGUL SYLLABLE PA
        0xD558  // HANGUL SYLLABLE HA

};

static sal_Unicode table_HangulCircledJamo_ko[] = {
        0x3260, // CIRCLED HANGUL LETTER KIYEOK
        0x3261, // CIRCLED HANGUL LETTER NIEUN
        0x3262, // CIRCLED HANGUL LETTER TIKEUT
        0x3263, // CIRCLED HANGUL LETTER RIEUL
        0x3264, // CIRCLED HANGUL LETTER MIEUM
        0x3265, // CIRCLED HANGUL LETTER PIEUP
        0x3266, // CIRCLED HANGUL LETTER SIOS
        0x3267, // CIRCLED HANGUL LETTER IEUNG
        0x3268, // CIRCLED HANGUL LETTER CIEUC
        0x3269, // CIRCLED HANGUL LETTER CHIEUCH
        0x326A, // CIRCLED HANGUL LETTER KHIEUKH
        0x326B, // CIRCLED HANGUL LETTER THIEUTH
        0x326C, // CIRCLED HANGUL LETTER PHIEUPH
        0x326D  // CIRCLED HANGUL LETTER HIEUH
};


static sal_Unicode table_HangulCircledSyllable_ko[] = {
        0x326E, // CIRCLED HANGUL SYLLABLE GA
        0x326F, // CIRCLED HANGUL SYLLABLE NA
        0x3270, // CIRCLED HANGUL SYLLABLE DA
        0x3271, // CIRCLED HANGUL SYLLABLE LA
        0x3272, // CIRCLED HANGUL SYLLABLE MA
        0x3273, // CIRCLED HANGUL SYLLABLE BA
        0x3274, // CIRCLED HANGUL SYLLABLE SA
        0x3275, // CIRCLED HANGUL SYLLABLE A
        0x3276, // CIRCLED HANGUL SYLLABLE JA
        0x3277, // CIRCLED HANGUL SYLLABLE CA
        0x3278, // CIRCLED HANGUL SYLLABLE KA
        0x3279, // CIRCLED HANGUL SYLLABLE TA
        0x327A, // CIRCLED HANGUL SYLLABLE PA
        0x327B  // CIRCLED HANGUL SYLLABLE HA
};

static sal_Unicode table_TianGan_zh[] = {
    0x7532,0x4e59,0x4e19,0x4e01,0x620a,0x5df1,0x5e9a,0x8f9b,0x58ec,0x7678
};

static sal_Unicode table_DiZi_zh[] = {
    0x5b50,0x4e11,0x5bc5,0x536f,0x8fb0,0x5df3,0x5348,0x672a,0x7533,0x9149,0x620c,0x4ea5
};

} } } }
